import java.util.ArrayList;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Scanner;
import java.util.Stack;


public class Fn {

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		
		while(sc.hasNextInt()){
			int m = sc.nextInt();
			int n = sc.nextInt();
			Node[] node = new Node[m];
			
			for(int i = 0; i < n ; i++){
				int u = sc.nextInt() - 1;
				int v = sc.nextInt() - 1;
				if(node[u] == null){
					node[u] = new Node();
				}
				if(node[v] == null){
					node[v] = new Node();
				}
				node[u].sousedi.add(node[v]);
				node[v].sousedi.add(node[u]);
			}
			
			HashSet<Node> cerny = new HashSet<Node>();
			while (cerny.size() != m)
			{
				Stack<Node> stack = new Stack<Node>();
				for (Node nod : node)
					if (!cerny.contains(nod))
					{
						stack.push(nod);
						break;
					}
				int listu = 0;
				while (!stack.isEmpty())
				{
					Node no = stack.pop();
					cerny.add(no);
					if (no.sousedi.size() == 1)
					{
						listu++;
						continue;
					}
					else
					{
						for (Node nod : no.sousedi)
							if (!cerny.contains(nod))
								stack.push(nod);
					}
				}
				if (listu >= 4)
				{
					System.out.println("YES");
					break;
				}
			}
			if (cerny.size() == m)
				System.out.println("NO");
		}

	}

}

class Node {
	LinkedList<Node> sousedi;
	
	public Node()
	{
		sousedi = new LinkedList<Node>();
	}
}